### Class method

# Gtk WidgetClass bind_template_callback_full

#### Declaration [src]

    void
    gtk_widget_class_bind_template_callback_full (
      WidgetClass* self,
      const char* callback_name
      GCallback callback_symbol,
    )

#### Description [src]

Declares a `callback_symbol` to handle `callback_name` from the template XML defined for `widget_type`.

This function is not supported after gtk_widget_class_set_template_scope() has been used on `widget_class`. See gtk_builder_cscope_add_callback_symbol().

Note that this must be called from a composite widget classes class initializer after calling gtk_widget_class_set_template().

#### Parameters

`callback_name` | `const char*`
| The name of the callback as expected in the template XML.
| The data is owned by the caller of the function.
| The string is a NUL terminated UTF-8 string.
`callback_symbol` | `GCallback`
| The callback symbol.